## GstGError GstGError |

## Functions

gchar * | gst_error_get_message ()

## Types and Values

enum | GstCoreError
enum | GstLibraryError
enum | GstResourceError
enum | GstStreamError
#define | GST_CORE_ERROR
#define | GST_LIBRARY_ERROR
#define | GST_RESOURCE_ERROR
#define | GST_STREAM_ERROR
#define | GST_ERROR_SYSTEM

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_error_get_message ()

    gchar *
    gst_error_get_message (GQuark domain,
                           gint code);

## Types and Values

### enum GstCoreError

#### Members

GST_CORE_ERROR_FAILED |  |
GST_CORE_ERROR_TOO_LAZY |  |
GST_CORE_ERROR_NOT_IMPLEMENTED |  |
GST_CORE_ERROR_STATE_CHANGE |  |
GST_CORE_ERROR_PAD |  |
GST_CORE_ERROR_THREAD |  |
GST_CORE_ERROR_NEGOTIATION |  |
GST_CORE_ERROR_EVENT |  |
GST_CORE_ERROR_SEEK |  |
GST_CORE_ERROR_CAPS |  |
GST_CORE_ERROR_TAG |  |
GST_CORE_ERROR_MISSING_PLUGIN |  |
GST_CORE_ERROR_CLOCK |  |
GST_CORE_ERROR_DISABLED |  |
GST_CORE_ERROR_NUM_ERRORS |  |

### enum GstLibraryError

#### Members

GST_LIBRARY_ERROR_FAILED |  |
GST_LIBRARY_ERROR_TOO_LAZY |  |
GST_LIBRARY_ERROR_INIT |  |
GST_LIBRARY_ERROR_SHUTDOWN |  |
GST_LIBRARY_ERROR_SETTINGS |  |
GST_LIBRARY_ERROR_ENCODE |  |
GST_LIBRARY_ERROR_NUM_ERRORS |  |

### enum GstResourceError

#### Members

GST_RESOURCE_ERROR_FAILED |  |
GST_RESOURCE_ERROR_TOO_LAZY |  |
GST_RESOURCE_ERROR_NOT_FOUND |  |
GST_RESOURCE_ERROR_BUSY |  |
GST_RESOURCE_ERROR_OPEN_READ |  |
GST_RESOURCE_ERROR_OPEN_WRITE |  |
GST_RESOURCE_ERROR_OPEN_READ_WRITE |  |
GST_RESOURCE_ERROR_CLOSE |  |
GST_RESOURCE_ERROR_READ |  |
GST_RESOURCE_ERROR_WRITE |  |
GST_RESOURCE_ERROR_SEEK |  |
GST_RESOURCE_ERROR_SYNC |  |
GST_RESOURCE_ERROR_SETTINGS |  |
GST_RESOURCE_ERROR_NO_SPACE_LEFT |  |
GST_RESOURCE_ERROR_NOT_AUTHORIZED |  |
GST_RESOURCE_ERROR_NUM_ERRORS |  |

### enum GstStreamError

#### Members

GST_STREAM_ERROR_FAILED |  |
GST_STREAM_ERROR_TOO_LAZY |  |
GST_STREAM_ERROR_NOT_IMPLEMENTED |  |
GST_STREAM_ERROR_TYPE_NOT_FOUND |  |
GST_STREAM_ERROR_WRONG_TYPE |  |
GST_STREAM_ERROR_CODEC_NOT_FOUND |  |
GST_STREAM_ERROR_DECODE |  |
GST_STREAM_ERROR_ENCODE |  |
GST_STREAM_ERROR_DEMUX |  |
GST_STREAM_ERROR_MUX |  |
GST_STREAM_ERROR_FORMAT |  |
GST_STREAM_ERROR_DECRYPT |  |
GST_STREAM_ERROR_DECRYPT_NOKEY |  |
GST_STREAM_ERROR_NUM_ERRORS |  |

### GST_CORE_ERROR

    #define GST_CORE_ERROR      gst_core_error_quark ()

### GST_LIBRARY_ERROR

    #define GST_LIBRARY_ERROR   gst_library_error_quark ()

### GST_RESOURCE_ERROR

    #define GST_RESOURCE_ERROR  gst_resource_error_quark ()

### GST_STREAM_ERROR

    #define GST_STREAM_ERROR    gst_stream_error_quark ()

### GST_ERROR_SYSTEM

    #define GST_ERROR_SYSTEM    ("system error: %s", g_strerror (errno))